Bug 102602 - System frozen - "Kernel bug" message in log
System frozen - "Kernel bug" message in log
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-18 11:53 EDT by Massimo Balestra
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Massimo Balestra 2003-08-18 11:53:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:

While we are working the system freeze. Everything is blocked in console and in
all connections. The only solution is switch off.

After the restart an error appears in /var/log/messages:
Aug 18 15:00:33 atlas kernel: ------------[ cut here ]------------
Aug 18 15:00:33 atlas kernel: kernel BUG at vmscan.c:656!
Aug 18 15:00:33 atlas kernel: invalid operand: 0000
Aug 18 15:00:33 atlas kernel: smbfs ipt_MASQUERADE iptable_nat ip_conntrack
iptable_filter ip_t
ables ppp_deflate zlib_deflate ppp_async ppp_generic slhc r128 agpgart
parport_pc lp parport 
Aug 18 15:00:33 atlas kernel: CPU:    0
Aug 18 15:00:33 atlas kernel: EIP:    0060:[<c013cfd5>]    Not tainted
Aug 18 15:00:33 atlas kernel: EFLAGS: 00010206
Aug 18 15:00:33 atlas kernel: 
Aug 18 15:00:33 atlas kernel: EIP is at rebalance_laundry_zone [kernel] 0x675
(2.4.20-19.9)
Aug 18 15:00:33 atlas kernel: eax: 00000100   ebx: c1253014   ecx: c0310900  
edx: c0310900
Aug 18 15:00:33 atlas kernel: esi: c1252fd4   edi: c1252fb8   ebp: 0000001a  
esp: c23a3f94
Aug 18 15:00:33 atlas kernel: ds: 0068   es: 0068   ss: 0068
Aug 18 15:00:33 atlas kernel: Process kswapd (pid: 5, stackpage=c23a3000)
Aug 18 15:00:33 atlas kernel: Stack: c0310c00 00000100 c0310b3c 00000025
00000001 c0310900 0000
01d0 0000006a 
Aug 18 15:00:33 atlas kernel:        c013d3eb c0310900 00000040 00000000
c23a2000 00000000 c23a
2305 00000000 
Aug 18 15:00:33 atlas kernel:        c013d5a3 000001d0 00000002 000001d0
c013d520 00000000 0000
0000 c010742d 
Aug 18 15:00:33 atlas kernel: Call Trace:   [<c013d3eb>]
do_try_to_free_pages_kswapd [kernel] 0
x12b (0xc23a3fb4))
Aug 18 15:00:33 atlas kernel: [<c013d5a3>] kswapd [kernel] 0x83 (0xc23a3fd4))
Aug 18 15:00:33 atlas kernel: [<c013d520>] kswapd [kernel] 0x0 (0xc23a3fe4))
Aug 18 15:00:33 atlas kernel: [<c010742d>] kernel_thread_helper [kernel] 0x5
(0xc23a3ff0))
Aug 18 15:00:33 atlas kernel: 
Aug 18 15:00:33 atlas kernel: 
Aug 18 15:00:33 atlas kernel: Code: 0f 0b 90 02 b0 18 26 c0 e9 ee f9 ff ff 8d b4
26 00 00 00 00



Version-Release number of selected component (if applicable):
kernel-2.4.20-19.9

How reproducible:
Sometimes

Steps to Reproduce:
1. no way to reproduce, somply sometimes happens (rarely)
2.
3.
    

Additional info:

I happened often formatting the file systems with ext3. Reformatting with ext2
it works better
Comment 1 Mark Jia 2004-08-30 22:26:27 EDT
kernel: ------------[ cut here ]------------
kernel: kernel BUG at vmscan.c:656!
kernel: invalid operand: 0000
kernel: aic7xxx st scsi_mod parport_pc lp parport autofs natsemi
microcode keybdev mousedev hid input ehci-hcd usb-ohci usbcore ext3
jbd raid1
kernel: CPU:    0
kernel: EIP:    0060:[<c013b9b8>]    Not tainted
kernel: EFLAGS: 00010206
kernel:
kernel: EIP is at rebalance_laundry_zone [kernel] 0x398 (2.4.20-8custom)
kernel: eax: 01040188   ebx: 0000001a   ecx: c03165c4   edx: c0316680
kernel: esi: c1a27a84   edi: c1a27a68   ebp: 0000003f   esp: c36bdf94
kernel: ds: 0068   es: 0068   ss: 0068
kernel: Process kswapd (pid: 5, stackpage=c36bd000)
kernel: Stack: c013ba2c c0316680 c03168bc 00000000 0000001a c0316680
000001d0 0000003a
kernel:        c013bdbb c0316680 00000040 00000000 c36bc000 00000000
c36bc305 00000000
kernel:        c013bf73 000001d0 00000002 000001d0 c013bef0 00000000
00000000 c010742d
kernel: Call Trace:   [<c013ba2c>] rebalance_dirty_zone [kernel] 0x5c
(0xc36bdf94))
kernel: [<c013bdbb>] do_try_to_free_pages_kswapd [kernel] 0x12b
(0xc36bdfb4))
kernel: [<c013bf73>] kswapd [kernel] 0x83 (0xc36bdfd4))
kernel: [<c013bef0>] kswapd [kernel] 0x0 (0xc36bdfe4))
kernel: [<c010742d>] kernel_thread_helper [kernel] 0x5 (0xc36bdff0))
kernel:
kernel:
kernel: Code: 0f 0b 90 02 61 61 26 c0 e9 cb fc ff ff 8d 74 26 00 8d bc 27
Comment 2 Bugzilla owner 2004-09-30 11:41:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.